5

I'm trying to update my node to the latest version but I'm stuck with the following error message on my Ubuntu 18.04 box:

File "none", line 1:
Error: Files vendors/ocplib-resto/lib_resto-cohttp/resto_cohttp.cmxa
and /home/test/tezos/_opam/lib/cohttp-lwt-unix/cohttp_lwt_unix.cmxa
make inconsistent assumptions over implementation Cohttp_lwt_unix__Client
Makefile:20: recipe for target 'all' failed
make: *** [all] Error 1

Any idea where I missed something?

9

Try the following in the tezos folder:

Update your packages:

sudo apt-get update
sudo apt-get dist-upgrade

Make sure to have the right version of the code and clean everything:

git fetch origin
git reset --hard origin/mainnet
git clean -dxf

Update opam packages:

opam update
opam upgrade

Build everything again:

eval $(opam env)
make build-deps
eval $(opam env)
make

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.